Subject: Re: [patch net-next 00/21] mlxsw: Support for IPv6 UC router

From: Ido Schimmel <[email-masked]>
Date: Fri, 4 Aug 2017 11:50:59 +0300

On Thu, Aug 03, 2017 at 04:54:35PM -0600, David Ahern wrote:
> On 8/3/17 4:41 PM, David Miller wrote:
> > But unlike the percpu flag, don't we want to somehow propagate offload
> > state to the user?
> 
> It's a per nexthop flag. For IPv4 it is tracked in fib_nh.nh_flags.
> Perhaps it is time for rt6_info to have nh_flags as well.

I saw your original mail last night, but was too tired to comment.

I'm looking into reflecting the nexthop status to listeners like what we
did for IPv4 with NH_{ADD,DEL} and can probably incorporate your
suggestion.

Anyway, will make sure RTF_OFFLOAD is removed before the merge window
opens.

Thanks for reviewing David.